## NMSettingMacvlan NMSettingMacvlan |

## Functions

NMSetting * | nm_setting_macvlan_new ()
const char * | nm_setting_macvlan_get_parent ()
NMSettingMacvlanMode | nm_setting_macvlan_get_mode ()
gboolean | nm_setting_macvlan_get_promiscuous ()
gboolean | nm_setting_macvlan_get_tap ()

## Types and Values

#define | NM_SETTING_MACVLAN_SETTING_NAME
#define | NM_SETTING_MACVLAN_PARENT
#define | NM_SETTING_MACVLAN_MODE
#define | NM_SETTING_MACVLAN_PROMISCUOUS
#define | NM_SETTING_MACVLAN_TAP
enum | NMSettingMacvlanMode

## Object Hierarchy

        GEnum
        ╰── NMSettingMacvlanMode

## Description

## Functions

### nm_setting_macvlan_new ()

    NMSetting *
    nm_setting_macvlan_new (void);

### nm_setting_macvlan_get_parent ()

    const char *
    nm_setting_macvlan_get_parent (NMSettingMacvlan *setting);

### nm_setting_macvlan_get_mode ()

    NMSettingMacvlanMode
    nm_setting_macvlan_get_mode (NMSettingMacvlan *setting);

### nm_setting_macvlan_get_promiscuous ()

    gboolean
    nm_setting_macvlan_get_promiscuous (NMSettingMacvlan *setting);

### nm_setting_macvlan_get_tap ()

    gboolean
    nm_setting_macvlan_get_tap (NMSettingMacvlan *setting);

## Types and Values

### NM_SETTING_MACVLAN_SETTING_NAME

    #define NM_SETTING_MACVLAN_SETTING_NAME "macvlan"

### NM_SETTING_MACVLAN_PARENT

    #define NM_SETTING_MACVLAN_PARENT      "parent"

### NM_SETTING_MACVLAN_MODE

    #define NM_SETTING_MACVLAN_MODE        "mode"

### NM_SETTING_MACVLAN_PROMISCUOUS

    #define NM_SETTING_MACVLAN_PROMISCUOUS "promiscuous"

### NM_SETTING_MACVLAN_TAP

    #define NM_SETTING_MACVLAN_TAP         "tap"

### enum NMSettingMacvlanMode

#### Members

NM_SETTING_MACVLAN_MODE_UNKNOWN | unknown/unset mode |
NM_SETTING_MACVLAN_MODE_VEPA | Virtual Ethernet Port Aggregator mode |
NM_SETTING_MACVLAN_MODE_BRIDGE | bridge mode |
NM_SETTING_MACVLAN_MODE_PRIVATE | private mode |
NM_SETTING_MACVLAN_MODE_PASSTHRU | passthru mode |
NM_SETTING_MACVLAN_MODE_SOURCE | source mode |
_NM_SETTING_MACVLAN_MODE_NUM |  |
NM_SETTING_MACVLAN_MODE_LAST |  |